================================================================================
    qytdl.py    |   version 1.6     |   GPL v3              |   2022-11-02
    James Hendrie                   |   hendrie dot james at gmail dot com
================================================================================

    1.  Description
    2.  Requirements
    3.  Installation / Uninstallation
    4.  Usage
    5.  Configuration
    6.  Contact, etc.



----------------------------------------
    1.  Description
----------------------------------------

    qytdl (long-form: qYoutube-DL) is a Qt frontend to Youtube-DL.  You can use
    it to build a queue of URLs, downloading the entire list when you've
    finished.





----------------------------------------
    2.  Requirements
----------------------------------------

    -   Python 3 (tested:  version 3.7.4)
    -   PyQt5 (python-pyqt5) for Python 3 (tested:  version 5.13.0-1)
    -   youtube-dl (tested: 2019.09.12.1)



----------------------------------------
    3.  Installation / Uninstallation
----------------------------------------

    3.1.    Make sure you have all of the prerequisite programs and libraries
            installed.  This includes, but may not be limited to:
            python3, PyQt5, youtube-dl
            (Respective tested versions: 3.7.4, 5.13.0-1, 2019.19.12.1-1)

    3.2.    Either run the script (main.py) straight from the 'src' directory or
            run 'make install' with superuser privileges from the extracted
            tarball's top directory.

    3.3.    To remove the program, return to the directory with the makefile
            (where you extracted it initially) and run 'make uninstall', again
            with superuser privileges.


----------------------------------------
    4.  Usage
----------------------------------------

Usage:
    qytdl [OPTION]
    Run with the given option to print help / see version

    qytdl [LIST-OF-URLS]
    Run it loading all given arguments as URLs

    cat URL_FILE.txt | qytdl -
    Read list of URLs from stdin
    

Options
    -h or --help        Prints help text
    -V or --version     Print version and author info
    -d or --debug       Enable debug mode (verbose output)
    -n or --no-config   Don't attempt to read from a config file
    - or --stdin        Read input from stdin


----------------------------------------
    5.  Configuration
----------------------------------------

    There are two files that this program makes use of: qydtl.cfg and
    profiles.xml.  Both are located in the configuration directory.

    Windows:    %APPDATA%/qytdl
    Linux:      $HOME/.config/qytdl

    qytdl.cfg has the options that the program will launch with, if the file
    exists and can be read.

    Relevant options:
        download_path       Absolute path to where the videos are downloaded
        module              Which ydl module to use (youtube_dl, yt-dlp, etc)
        allow_duplicates    Whether or not to allow duplicate URLs (true/false)
        playlist_folder     Does a playlist get its own folder (true/false)
        profile             Default profile that the program starts with
        fallback            Fallback profiles, IDs separated by commas
        theme               Which theme to use:  dark, light or default


    profiles.xml contains a number of profiles that the user can make use of,
    assuming they can be read properly by the program.  This file can be, and is
    intended to be, modified by the user to fit his or her needs.  Look over the
    file itself for more info.
    



----------------------------------------
    6.  Contact, etc.
----------------------------------------

    Author:
        James Hendrie
        hendrie.james@gmail.com
        hendrie.james@protonmail.com

    Sites:
        https://github.com/jahendrie
            https://github.com/jahendrie/qytdl    <-- This program!
        http://www.someplacedumb.net/content/progs
